/*
  Originally written by Naoto Kaneko
  Last updated: 28.Jun.2010
  Latest info: http://www37.atwiki.jp/pjkyt/
 */

package com.kyt.example;

import com.kyt.android.util.*;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;

public class FdExample extends Activity implements FileDialogue.Listener {
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		// (1) Select file, starting direcotry is /sdcard/
		FileDialogue fd = new FileDialogue(null, FileDialogue.FILE, FileDialogue.SELECT, this, this);

		// (2) Create file, starting direcotry is /sdcard/, user will be requested to enter filename
		// FileDialogue fd = new FileDialogue("/sdcard/picture/", FileDialogue.FILE, FileDialogue.CREATE, this, this);

		// (3) Select directory, starting direcotry is /sdcard
		// FileDialogue fd = new FileDialogue(null, FileDialogue.DIRECTORY, FileDialogue.SELECT, this, this);

		// (4) Create directory, starting direcotry is /sdcard/, user will be requested to enter direcotry name
		// FileDialogue fd = new FileDialogue(null, FileDialogue.DIRECTORY, FileDialogue.CREATE, this, this);

		fd.showDialogue();
	}

	public void onSelected(String directory, String filename) {
		// filename will be "" when target is the FileDialogue.DIRECOTRY
		Log.v("FdExample", "Directory = " + directory + ", File = " + filename);
	}

	public void onCanceled() {
		// this is when "back" button is pressed
		Log.v("FdExample", "Canceled");
	}
}